diff --git a/u2f-server/core.c b/u2f-server/core.c
index da440ec..4e74c71 100644
--- a/u2f-server/core.c
+++ b/u2f-server/core.c
@@ -41,7 +41,7 @@
 #define u2fs_json_object_object_get(obj, key, value) json_object_object_get_ex(obj, key, &value)
 #else
 typedef int json_bool;
-#define u2fs_json_object_object_get(obj, key, value) (value = json_object_object_get(obj, key)) == NULL ? (json_bool)FALSE : (json_bool)TRUE
+#define u2fs_json_object_object_get(obj, key, value) (value = json_object_object_get(obj, key)) == NULL ? (json_bool)0 : (json_bool)1
 #endif
 
 static u2fs_rc encode_b64u(const char *data, size_t data_len, char *output)
@@ -477,7 +477,7 @@ parse_clientData(const char *clientData, char **challenge, char **origin)
   if (jo == NULL)
     return U2FS_JSON_ERROR;
 
-  if (u2fs_json_object_object_get(jo, "challenge", k) == FALSE)
+  if (u2fs_json_object_object_get(jo, "challenge", k) == 0)
     return U2FS_JSON_ERROR;
 
   p = json_object_get_string(k);
@@ -488,7 +488,7 @@ parse_clientData(const char *clientData, char **challenge, char **origin)
   if (*challenge == NULL)
     return U2FS_MEMORY_ERROR;
 
-  if (u2fs_json_object_object_get(jo, "origin", k) == FALSE)
+  if (u2fs_json_object_object_get(jo, "origin", k) == 0)
     return U2FS_JSON_ERROR;
 
   p = json_object_get_string(k);
@@ -520,7 +520,7 @@ parse_registration_response(const char *response, char **registrationData,
   if (jo == NULL)
     return U2FS_JSON_ERROR;
 
-  if (u2fs_json_object_object_get(jo, "registrationData", k) == FALSE)
+  if (u2fs_json_object_object_get(jo, "registrationData", k) == 0)
     return U2FS_JSON_ERROR;
   p = json_object_get_string(k);
   if (p == NULL)
@@ -529,7 +529,7 @@ parse_registration_response(const char *response, char **registrationData,
   if (*registrationData == NULL)
     return U2FS_MEMORY_ERROR;
 
-  if (u2fs_json_object_object_get(jo, "clientData", k) == FALSE)
+  if (u2fs_json_object_object_get(jo, "clientData", k) == 0)
     return U2FS_JSON_ERROR;
   p = json_object_get_string(k);
   if (p == NULL)
@@ -1125,7 +1125,7 @@ parse_authentication_response(const char *response, char **signatureData,
   if (jo == NULL)
     return U2FS_JSON_ERROR;
 
-  if (u2fs_json_object_object_get(jo, "signatureData", k) == FALSE)
+  if (u2fs_json_object_object_get(jo, "signatureData", k) == 0)
     return U2FS_JSON_ERROR;
   p = json_object_get_string(k);
   if (p == NULL)
@@ -1134,7 +1134,7 @@ parse_authentication_response(const char *response, char **signatureData,
   if (*signatureData == NULL)
     return U2FS_MEMORY_ERROR;
 
-  if (u2fs_json_object_object_get(jo, "clientData", k) == FALSE)
+  if (u2fs_json_object_object_get(jo, "clientData", k) == 0)
     return U2FS_JSON_ERROR;
   p = json_object_get_string(k);
   if (p == NULL)
@@ -1143,7 +1143,7 @@ parse_authentication_response(const char *response, char **signatureData,
   if (*clientData == NULL)
     return U2FS_MEMORY_ERROR;
 
-  if (u2fs_json_object_object_get(jo, "keyHandle", k) == FALSE)
+  if (u2fs_json_object_object_get(jo, "keyHandle", k) == 0)
     return U2FS_JSON_ERROR;
   p = json_object_get_string(k);
   if (p == NULL)

